Bug 446571 - X hangs on white iBook when running Fedora 9 installer
X hangs on white iBook when running Fedora 9 installer
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
powerpc Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 01:25 EDT by Paul Mackerras
Modified: 2009-07-14 13:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:29:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X config file (590 bytes, text/plain)
2008-05-15 01:25 EDT, Paul Mackerras
no flags Details
X log file (33.72 KB, text/plain)
2008-05-15 01:26 EDT, Paul Mackerras
no flags Details
Anaconda log file (29.92 KB, text/plain)
2008-05-15 01:27 EDT, Paul Mackerras
no flags Details
ps output for X server (209 bytes, text/plain)
2008-05-15 01:28 EDT, Paul Mackerras
no flags Details
X log file for the working case (32.52 KB, text/plain)
2008-06-04 02:51 EDT, Paul Mackerras
no flags Details
Log file from X server (31.12 KB, text/plain)
2008-07-24 00:06 EDT, Paul Mackerras
no flags Details

  None (edit)
Description Paul Mackerras 2008-05-15 01:25:16 EDT
Description of problem:

When booting from the Fedora 9 boot.iso in order to run the installer, and it
gets to the point of starting X to run the graphical installer, the X server
hangs, with the whole screen going, in sequence, black, white, red, green, blue,
then various black/white stippled patterns, then back to black.  It spends about
2 seconds showing each color/pattern.

While it is in this state it is possible to switch away to another console with
alt-ctrl-Fn.

Version-Release number of selected component (if applicable):

Whatever is in the Fedora 9 boot.iso for ppc.

How reproducible:

Boot F9 boot.iso on a white 1.4GHz iBook G4 (PowerBook6,7), which has an ATI M11
NV video chip.

Steps to Reproduce:
1. Get F9 boot.iso, burn cdrom, boot iBook from CD
2. Answer questions from text-mode first stage installer
3. Admire the pretty patterns on the screen :)
  
Actual results:

Screen shows solid colors and stipple patterns

Expected results:

Graphical installer window visible

Additional info:

I have attached the ps output showing the X command line, the X log, the X
config file used, and the anaconda.log, in case it is useful.
Comment 1 Paul Mackerras 2008-05-15 01:25:16 EDT
Created attachment 305439 [details]
X config file
Comment 2 Paul Mackerras 2008-05-15 01:26:27 EDT
Created attachment 305440 [details]
X log file
Comment 3 Paul Mackerras 2008-05-15 01:27:53 EDT
Created attachment 305441 [details]
Anaconda log file
Comment 4 Paul Mackerras 2008-05-15 01:28:44 EDT
Created attachment 305442 [details]
ps output for X server
Comment 5 Matěj Cepl 2008-05-16 18:32:34 EDT
If you have enough willpower, could you try installation again, please? When the
anaconda crashes, please, switch to the console (Ctrl+Alt+F2)and cp /tmp/X* to
some other place -- USB stick, some other computervia network, some on the
Internet, and please attach it to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 6 Paul Mackerras 2008-05-18 23:03:35 EDT
I already did that.  The only files in /tmp starting with "X" were X.log and
XConfig.test.  See the "X config file" and "X log file" attachments in the list
of attachments below, or comments #1 and #2 above.
Comment 7 Paul Mackerras 2008-06-04 02:37:47 EDT
I did some further experimentation.  The problem seems to be caused by the X
config file specifying a 800x600 resolution, when the native panel resolution is
1024x768.  If I stop anaconda (with kill -STOP) and kill the non-working X
server, take out the Anaconda screen section, and run Xorg, it starts up
correctly and displays the root weave and X cursor.

So there are in fact two problems here:

1. Whatever anaconda is using to generate the X config file is incorrectly
assuming that the screen can do 800x600;

2. The radeon driver is blowing up when asked to do 800x600 on a 1024x768 LCD panel.
Comment 8 Paul Mackerras 2008-06-04 02:51:10 EDT
Created attachment 308325 [details]
X log file for the working case

This is the log file from Xorg when I ran it without the -screen Anaconda
option.  I stopped anaconda and killed the X server, then ran it with the same
command (as in attachment 305442 [details]) but without -screen Anaconda.  It started
fine and displayed the X cursor.  I switched back to VT2 and pressed ^C, at
which point the X server crashed with a segfault.  This is the log file from
that run.
Comment 9 Andrew Bartlett 2008-07-23 00:52:41 EDT
<airlied> abartlet: probably overwriting the palette.
<airlied> or a test pattern trigger..
<abartlet> it seems a bit extreme for getting the resolution wrong :-)
<airlied> abartlet: it might be an LCD built-in thing either.
<airlied> abartlet: when we don't power it up correct it goes into some wierdass
test mode.
<abartlet> ahh
<airlied> abartlet: but if its running F9 with all updates installed, I'd be
interested in an xorg log file.
Comment 10 Paul Mackerras 2008-07-24 00:06:44 EDT
Created attachment 312530 [details]
Log file from X server

Yes, it still misbehaves with the updated X server.  Here is the log file as
requested.
Comment 11 Robert Schuster 2008-11-20 17:51:07 EST
I can confirm comment #7 from Paul Mackerras: When I installed Fedora (8) on my iBook I had the same problem.

Is it possible that the OpenFirmware-based ATI Radeon Mobility is unable to generate any other display size than 1024x768 on the internal LCD? Perhaps it is the LCD which does not like other sizes.

Setting various display sizes on the external port (VGA-0) works fine btw.

> 1. Whatever anaconda is using to generate the X config file is incorrectly
> assuming that the screen can do 800x600;
Yes, this indeed a problem and caused me to install in text mode. Btw: How one activates text mode installation via yaboot is badly documented.

Long time ago I wrote about the installation procedure:
http://www.fsfe.org/it/fellows/robertschuster/weblog/fedora_8_on_my_ibook

> 2. The radeon driver is blowing up when asked to do 800x600 on a 1024x768 LCD 
> panel.
See above. I think it is possible that the hardware only support one display size since it is meant to be run with that proprietary OS from Apple solely...

Some workaround for the iBook G4 hardware that would make anaconda aware of that situation would be cool.
Comment 12 Bug Zapper 2009-06-09 20:50:24 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-07-14 13:29:56 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.